Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventProximity Class Reference

A GdkEventProximity C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventProximity:

List of all members.

## Public Member Functions

Accessors

- GdkEventProximity * gdk_event_proximity () const
    Get a pointer to the GdkEventProximity structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- Device * device () const
    Returns the Device where the event originated.

## Detailed Description

A GdkEventProximity C++ wrapper class.

Proximity events are generated when using GDK's wrapper for the XInput extension. The XInput extension is an add-on for standard X that allows you to use nonstandard devices such as graphics tablets. A proximity event indicates that the stylus has moved in or out of contact with the tablet, or perhaps that the user's finger has moved in or out of contact with a touch screen.

The type of event will be either PROXIMITY_IN or PROXIMITY_OUT.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3